# DoorLockTrait.GetHolidayScheduleCommand.Response

# DoorLockTrait.GetHolidayScheduleCommand.Response


```
class DoorLockTrait.GetHolidayScheduleCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

Returns the holiday schedule entry for the specified holiday ID.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#Response(kotlin.UByte,com.google.home.matter.standard.DoorLockTrait.DlStatus,kotlin.UInt,kotlin.UInt,com.google.home.matter.standard.DoorLockTrait.OperatingModeEnum)( holidayIndex: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html, status: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DlStatus, localStartTime: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html?, localEndTime: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html?, operatingMode: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.OperatingModeEnum? )` Creates a response payload from the GetHolidaySchedule command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#holidayIndex()` The index of the holiday. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#localEndTime()` The ending time for the holiday schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#localStartTime()` The starting time for the holiday schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value. |
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.OperatingModeEnum?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#operatingMode()` The operating mode to use during this holiday schedule start/end time. |
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.DlStatus` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/DoorLockTrait.GetHolidayScheduleCommand.Response#status()` The status of the `GetHolidaySchedule` command. |

## Public constructors

### Response

```
Response(
    holidayIndex: UByte,
    status: DoorLockTrait.DlStatus = DlStatus.Success,
    localStartTime: UInt? = null,
    localEndTime: UInt? = null,
    operatingMode: DoorLockTrait.OperatingModeEnum? = null
)
```

Creates a response payload from the GetHolidaySchedule command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### holidayIndex

```
val holidayIndex: UByte
```

The index of the holiday.

### localEndTime

```
val localEndTime: UInt?
```

The ending time for the holiday schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

### localStartTime

```
val localStartTime: UInt?
```

The starting time for the holiday schedule in Epoch Time in seconds with local time offset based on the local timezone and DST offset on the day represented by the value.

### operatingMode

```
val operatingMode: DoorLockTrait.OperatingModeEnum?
```

The operating mode to use during this holiday schedule start/end time.

### status

```
val status: DoorLockTrait.DlStatus
```

The status of the `GetHolidaySchedule` command.